//
//  DTBarButton.h
//  Edify
//
//  Created by Daniel Tomlinson on 21/02/2013.
//  Copyright (c) 2013 Daniel Tomlinson. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef void (^ActionBlock)();

@interface DTBarButton : UIBarButtonItem
{
    ActionBlock _actionBlock;
}

-(void) touchBlock:(ActionBlock) action;

-(id) initWithTitle:(NSString *)title andAction:(ActionBlock) action;
-(id) initWithBarButtonSystemItem:(UIBarButtonSystemItem)systemItem andAction:(ActionBlock) action;
@end
