//
//  DTButton.m
//  Edify
//
//  Created by Daniel Tomlinson on 21/02/2013.
//  Copyright (c) 2013 Daniel Tomlinson. All rights reserved.
//

#import "DTButton.h"

@implementation DTButton

-(void) handleControlEvent:(UIControlEvents)event
                 withBlock:(ActionBlock) action
{
    _actionBlock = action;
    [self addTarget:self action:@selector(callActionBlock:) forControlEvents:event];
}

-(void) callActionBlock:(id)sender{
    _actionBlock();
}

@end
