//
//  DTAlert.m
//  Edify
//
//  Created by Daniel Tomlinson on 21/02/2013.
//  Copyright (c) 2013 Daniel Tomlinson. All rights reserved.
//

#import "DTAlert.h"

@implementation DTAlert

+ (void) showWithTitle:(NSString *)title message:(NSString *)message {
    UIAlertView *alertView = [[UIAlertView alloc] initWithTitle:title message:message delegate:nil cancelButtonTitle:@"Ok" otherButtonTitles:nil, nil];
    [alertView show];
}

+ (void) showWithTitle:(NSString *)title message:(NSString *)message completionBlock:(DismissBlock)handler {
    UIAlertView *alertView = [UIAlertView  alertViewWithTitle:title message:message onDismiss:handler];
    [alertView show];
}

@end
