//
//  NSObject+Blocks.m
//  Edify
//
//  Created by Daniel Tomlinson on 21/02/2013.
//  Copyright (c) 2013 Daniel Tomlinson. All rights reserved.
//

#import "NSObject+Blocks.h"

static VoidBlock _block;

@implementation NSObject (Blocks)

- (void) performBlock:(VoidBlock) aBlock
{
    _block = [aBlock copy];
    
    [self performSelector:@selector(callBlock)];
}

- (void) performBlock:(VoidBlock) aBlock afterDelay:(NSTimeInterval) delay
{
    _block = [aBlock copy];
    
    [self performSelector:@selector(callBlock) withObject:nil afterDelay:delay];
}

-(void) callBlock
{
    _block();
}

@end
